package edu.stanford.rt.credential;

import java.util.Date;

import edu.stanford.rt.util.*;

/**
 * @author Ninghui Li, Sandra Qiu <br>
 * 
 * TODO
 */
public class ValidityTime
{
    private Date issueAt;
    private Date validFrom;
    private Date validTo;
    
    public ValidityTime(Date issueAt, Date validFrom, Date validTo)
    {
        if(issueAt==null)
            throw new IllegalArgumentException("issueAt is null");
        if(validFrom==null)
            throw new IllegalArgumentException("validFrom is null");
        if(validTo==null)
            throw new IllegalArgumentException("validTo is null");

        this.issueAt = issueAt;
        this.validFrom = validFrom;
        this.validTo = validTo;
    }
    
    public Date getIssueAt()
    {
        return issueAt;
    }
    
    public Date getValidFrom()
    {
        return validFrom;
    }

    public Date getValidTo()
    {
        return validTo;
    }
    
}