package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 * Implementation of <code>IntegerValue</code> element.
 */
public class IntegerValue implements DataValue
{
    private long value;
    
    /**
     * Constructor for IntegerValue.
     */
    public IntegerValue(long v)
    {
        value = v;
    }

    /**
     * Constructor for IntegerValue.
     */
    public IntegerValue(String v)
    {
        value = (Long.getLong(v)).longValue();
    }
    
    
	/**
	 * Method getValue.
	 * @return long
	 */
    public long getValue()
    {
        return value;
    }
    
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
    public String toString()
    {
        return String.valueOf(value);
    }
    
}
